Page MenuHomePhabricator

elm_colorselector: Use layout instead of edje object for components.
ClosedPublic

Authored by shilpasingh on May 26 2016, 3:14 AM.

Details

Reviewers
Hermet
cedric
Summary

Issue: As edje object is used instead of layout for components mode, the content widgets like buttons are added as
subobject of colorselector hence when we unset the edje object on mode change the buttons still remain subobject of colorselector causing issues when all subobjects of colorselector is queried(sub objects are queried during atspi mode).
Soln: Use layout instead of edje object.

Signed-off-by: Shilpa Singh <shilpa.singh@samsung.com>

@fix

Test Plan

Change the mode to Palette mode and access the children of colorselector.

Diff Detail

Repository
rEFL core/efl
Branch
arcpatch-D3987
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1989
Build 2054: arc lint + arc unit
shilpasingh updated this revision to Diff 9176.May 26 2016, 3:14 AM
shilpasingh retitled this revision from to elm_colorselector: Use layout instead of edje object for components..
shilpasingh updated this object.
shilpasingh edited the test plan for this revision. (Show Details)
shilpasingh updated this revision to Diff 9178.May 26 2016, 7:15 AM

Added spaces in color names for clarity while being read by any TTS engine

shilpasingh added subscribers: rajeshps, govi.
cedric requested changes to this revision.May 31 2016, 2:37 PM
cedric edited edge metadata.

The change this correct to me, just that there is unrelated one here.

src/lib/elementary/elm_colorselector.c
45

Why all the change in the color table ? That doesn't seem to be related.

This revision now requires changes to proceed.May 31 2016, 2:37 PM
shilpasingh updated this revision to Diff 9197.Jun 1 2016, 12:54 AM
shilpasingh edited edge metadata.

removed colornames update

src/lib/elementary/elm_colorselector.c
45

I will raise a new patch with these changes then, I just added spaces, if spaces are not added TTS engine do not read color names well, but will raise a new one.

cedric accepted this revision.Jun 6 2016, 4:47 PM
cedric edited edge metadata.
This revision is now accepted and ready to land.Jun 6 2016, 4:47 PM
cedric closed this revision.Jun 6 2016, 4:47 PM